Subject: [Roll] Last Call: draft-ietf-roll-trickle-mcast-05.txt

From: Ines Robles <[email-masked]>
Date: Mon, 21 Oct 2013 16:43:01 -0200

Hello,

Just a reminder,

The IESG solicits final comments on this action. Please send
substantive comments to the
ietf at ietf.org mailing lists by 2013-10-24
-http://www.ietf.org/mail-archive/web/roll/current/msg08219.html

So far, there are three open tickets:

Ticket #103: trickle-mcast: suppress ICMP messages for
PROACTIVE_TIMER_EXPIRATIONS<http://trac.tools.ietf.org/wg/roll/trac/ticket/103>

Ticket #132:
draft-ietf-roll-trickle-mcast-04 - Clarify scope value of 3 -
subnet-local<http://trac.tools.ietf.org/wg/roll/trac/ticket/132>
Ticket #134
draft-ietf-roll-trickle-mcast-05 - Minor editorial
comments<http://trac.tools.ietf.org/wg/roll/trac/ticket/134>

Thanks and Regards,

Ines Robles.

---

From: Michael Richardson <[email-masked]>
Date: Wed, 23 Oct 2013 14:19:38 -0400

> Just a reminder, 

Thanks.

    > PROACTIVE_TIMER_EXPIRATIONS

I don't think we got consensus on this, but maybe I'm wrong.

    > subnet-local

I really don't understand the dispute, and it's gonna take some in-person
discussion.  Not clear to me that it's going to be an edit to this document.

    > Ticket #134
    > draft-ietf-roll-trickle-mcast-05 - Minor editorial comments

Something which I hope the authors will just act on.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Ralph Droms <[email-masked]>
Date: Wed, 23 Oct 2013 14:36:38 -0400

On Oct 23, 2013, at 2:19 PM 10/23/13, Michael Richardson <[email-masked]> wrote:

> discussion.

Without a WG meeting in Vancouver, how will this in-person discussion take place?

I'd be happy to have a one-to-one or sponsor a multi-way teleconf to discuss the issue.

In my opinion, the problem is pretty clear:

 draft-ietf-roll-trickle-mcast-05 and draft-ietf-6man-multicast-scopes-00
 are in conflict with each other.

 From draft-ietf-roll-trickle-mcast-05:

    When
    used with MPL, Realm-Local scope is administratively defined and used
    to define the boundaries of multicast message dissemination by MPL.

 From draft-ietf-6man-multicast-scopes-00:

    Realm-Local scope is the largest scope that is automatically
    configured, i.e., automatically derived from physical
    connectivity or other, non-multicast-related configuration.

 Specifically, "administratively defined" seems to me to be in direct
 conflict with "automatically configured".

Part of the solution will require either a change in either draft-ietf-roll-trickle-mcast or draft-ietf-6man-multicast-scopes.  I think we have WG support, if not consensus, to edit draft-ietf-roll-trickle-mcast-05:

OLD:

    When
    used with MPL, Realm-Local scope is administratively defined and used
    to define the boundaries of multicast message dissemination by MPL.

NEW:

    When
    used with MPL, Realm-Local scope is defined according to
    the underlying network technology; for example, [cite the
    IP-over-IEEE802.15.4 definition].

One additional bit of text is needed, but not necessarily in draft-ietf-roll-trickle-mcast, to define explicitly the meaning of scop 3 in an IEEE802.15.4 network (which is the definition to be cited in the NEW text above):

    When used in an IP-over-IEEE802.15.4 network, "scop 3" is defined
    to include all interfaces sharing a PAN ID.

As a further refinement, I suggest text be added to draft-ietf-roll-trickle-mcast-05 to the effect of (this refinement has seen less WG discussion, in my opinion):

    "scop 4" can also be used with MPL to cover deployments
    that use administratively defined scopes that cover, for
    example, subnets based on different underlying network
    technologies.

>  Not clear to me that it's going to be an edit to this document.draft-ietf-roll-trickle-mcast-05

I'm pretty sure *something* has to be changed in draft-ietf-roll-trickle-mcast unless the definition of scop 3 is changed in draft-ietf-6man-multicast-scopes.

- Ralph
 
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll

---

From: Kerry Lynn <[email-masked]>
Date: Wed, 23 Oct 2013 15:01:08 -0400

On Wed, Oct 23, 2013 at 2:36 PM, Ralph Droms <[email-masked]> wrote:

> Right.  Which bar are we meeting at and when?

> Note the above requirement (albeit with slightly different wording) comes
from RFC 4291.

> +1

> Part of the solution will require either a change in either
> draft-ietf-roll-trickle-mcast or draft-ietf-6man-multicast-scopes.  I think
> we have WG support, if not consensus, to edit
> draft-ietf-roll-trickle-mcast-05:
>
> OLD:
>
>     When
> One additional bit of text is needed, but not necessarily in
> draft-ietf-roll-trickle-mcast, to define explicitly the meaning of scop 3
> in an IEEE802.15.4 network (which is the definition to be cited in the NEW
> text above):
>
> I agree with draft-ietf-6man-multicast-scopes that the proper place for
this definition is in
an IP-over-foo RFC.  Specifically, any new 6lo drafts that desire to use an
automatically
configured scop 3 must define the link-layer technology specific attribute
used to identify
the scope zone.  So I think the proper way to set the precedent is to issue
a short RFC
in 6lo (given that 6LoWPAN is shutting down) to update RFC 4944.
Otherwise, future
protocols that wish to make use of scop 3 will have to reference Ralph's
RFC plus the
MPL RFC.

 As a further refinement, I suggest text be added to
> draft-ietf-roll-trickle-mcast-05 to the effect of (this refinement has seen
> less WG discussion, in my opinion):
>
> The place for this would be section 4.1, which currently says:

   An MPL Forwarder MAY participate in additional MPL Domains identified
   by other multicast addresses.  An MPL Interface MUST subscribe to the
   MPL Domain Addresses for the MPL Domains that it participates in.
   The assignment of other multicast addresses is out of scope.

> >  Not clear to me that it's going to be an edit to this
> document.draft-ietf-roll-trickle-mcast-05
>
> I'm pretty sure *something* has to be changed in
> draft-ietf-roll-trickle-mcast unless the definition of scop 3 is changed in
> draft-ietf-6man-multicast-scopes.
>
> And, by extension, in RFC 4291.

-K-